> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Award Types

> Retrieve a paginated list of award types. Use the `fields` parameter to customize response fields.



## OpenAPI

````yaml /api-reference/openapi.yml get /leagues/{slug}/award-types
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /leagues/{slug}/award-types:
    get:
      tags:
        - League
      summary: Award Types
      description: >-
        Retrieve a paginated list of award types. Use the `fields` parameter to
        customize response fields.
      operationId: listLeaguesAwardTypes
      parameters:
        - in: path
          name: slug
          schema:
            type: string
          required: true
          description: Slug of the league to get award types for
        - in: query
          name: fields
          schema:
            type: array
            items:
              type: string
              enum:
                - slug
                - name
                - leagueSlug
                - types
                - trophyIcon
                - isHighlighted
                - links
                - eliteprospectsUrlPath
                - updatedAt
                - _links
                - trophyIcon.*
                - links.*
                - '*'
          style: form
          explode: false
          required: false
          description: "Specify custom response with available response fields.\r\n***\r\n*Fields included as default:* slug, name, leagueSlug, types, trophyIcon, isHighlighted, links, eliteprospectsUrlPath, updatedAt, _links"
        - $ref: '#/components/parameters/offsetParam'
        - $ref: '#/components/parameters/limitParam'
        - in: query
          name: sort
          schema:
            type: array
            items:
              type: string
              enum:
                - name
                - '-name'
                - updatedAt
                - '-updatedAt'
            default: name
          style: form
          explode: false
          required: false
          description: >-
            Sort results by field name. Prefix with `-` for descending order
            (e.g., `-name`).
        - in: query
          name: name
          schema:
            type: string
          required: false
          description: Filter by name
        - in: query
          name: q
          schema:
            type: string
          required: false
          description: Filter by q
        - in: query
          name: type
          schema:
            $ref: '#/components/schemas/AwardType_Type'
          required: false
          description: Filter by type
        - in: query
          name: type:not
          schema:
            $ref: '#/components/schemas/AwardType_Type'
          required: false
          description: Filter by type not equal to
        - in: query
          name: isHighlighted
          schema:
            type: boolean
          required: false
          description: Filter by isHighlighted
        - in: query
          name: trophyIcon:hasContent
          schema:
            type: boolean
          required: false
          description: Filter by trophyIcon has content
        - in: query
          name: updatedAt:min
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by updatedAt greater or equal to in ISO-8601 format for date
            and time
      responses:
        '200':
          description: A paginated list of award types.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                      - $ref: '#/components/schemas/ListMeta'
                  _links:
                    allOf:
                      - $ref: '#/components/schemas/PaginationLinks'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AwardType'
          x-field-info:
            defaultFields:
              - slug
              - name
              - leagueSlug
              - _links
            extendedFields:
              - types
              - trophyIcon
              - isHighlighted
              - links
              - eliteprospectsUrlPath
              - updatedAt
            notSupportedFields:
              - league
components:
  parameters:
    offsetParam:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
        default: 0
      required: false
      description: The number of items to skip before starting to collect the result set.
    limitParam:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 0
        maximum: 1000
        default: 100
      required: false
      description: The number of items to return.
  schemas:
    AwardType_Type:
      type: string
      enum:
        - player
        - staff
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    ListMeta:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        totalRecords:
          type: integer
    PaginationLinks:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
        prev:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
    AwardType:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        league:
          type: string
          nullable: true
        leagueSlug:
          type: string
          nullable: true
        types:
          type: array
          items:
            $ref: '#/components/schemas/AwardType_Type'
        trophyIcon:
          properties:
            url:
              type: string
              nullable: true
          nullable: true
        isHighlighted:
          type: boolean
        links:
          properties:
            eliteprospectsUrl:
              type: string
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````